| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IVector< T > Interface Template Reference

Generic Vector interface. More...

List of all members.

## Public Member Functions
T[] | ToArray ()
| Copy all elements of this vector to an array.
double | NormP (int p)
| p-norm, p-th root of sum of absolute values of components raised to the power of p.
void | Normalize ()
| Normalizes the current vector.
void | Negate ()
| Changes the sign of the current vector.
## Properties
int | Length`[get]`
| Gets the number of rows.
T | this [int i]`[get, set]`
| Gets or set the element indexed by `i` in the `Vector`.
double | Norm`[get]`
| Gets Euclidean norm of the vector.
double | Norm2`[get]`
| Gets Euclidean norm of the vector.
double | NormEuclidean`[get]`
| Gets Euclidean norm of the vector.
double | SquaredNorm`[get]`
| Squared Euclidean norm, sum of squared components.
double | Norm1`[get]`
| 1-norm (Manhattan norm or Taxicab norm), sum of absolute values of components.
double | NormInf`[get]`
| Infinity-norm, maximum absolute value of any component.

## Detailed Description

### template<T>
interface IG::Num::IVector< T >

Generic Vector interface.

$A Igor Sep08;

## Member Function Documentation

template<T >

T [] IG::Num::IVector< T >::ToArray | ( |  | ) |

Copy all elements of this vector to an array.

template<T >

double IG::Num::IVector< T >::NormP | ( | int | p | ) |

p-norm, p-th root of sum of absolute values of components raised to the power of p.

template<T >

void IG::Num::IVector< T >::Normalize | ( |  | ) |

Normalizes the current vector.

Returns:

template<T >

void IG::Num::IVector< T >::Negate | ( |  | ) |

Changes the sign of the current vector.

Returns:

## Property Documentation

template<T >

int IG::Num::IVector< T >::Length`[get]`

Gets the number of rows.

template<T >

T IG::Num::IVector< T >::this[int i]`[get, set]`

Gets or set the element indexed by `i` in the `Vector`.

Parameters:

  i | Element index (zero-based by agreement).

template<T >

double IG::Num::IVector< T >::Norm`[get]`

Gets Euclidean norm of the vector.

template<T >

double IG::Num::IVector< T >::Norm2`[get]`

Gets Euclidean norm of the vector.

template<T >

double IG::Num::IVector< T >::NormEuclidean`[get]`

Gets Euclidean norm of the vector.

template<T >

double IG::Num::IVector< T >::SquaredNorm`[get]`

Squared Euclidean norm, sum of squared components.

template<T >

double IG::Num::IVector< T >::Norm1`[get]`

1-norm (Manhattan norm or Taxicab norm), sum of absolute values of components.

template<T >

double IG::Num::IVector< T >::NormInf`[get]`

Infinity-norm, maximum absolute value of any component.

The documentation for this interface was generated from the following file:

- VectorBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events